<?xml version="1.0" encoding="utf-8"?>
<android.support.v7.widget.LinearLayoutCompat xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    xmlns:knacki="http://schemas.android.com/apk/res-auto"
    android:orientation="vertical">
    <android.support.v7.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="horizontal">
        <android.support.v7.widget.AppCompatTextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" android:text="@string/generate_difficulty"/>
        <android.support.v7.widget.AppCompatSpinner
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:id="@+id/difficulty"/>
    </android.support.v7.widget.LinearLayoutCompat>
    <info.knacki.pass.ui.widget.Checkbox
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/generate_numbers"
        knacki:text="@string/generate_number"/>
    <info.knacki.pass.ui.widget.Checkbox
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/generate_alpha"
        knacki:text="@string/generate_alpha"/>
    <info.knacki.pass.ui.widget.Checkbox
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/generate_capitalize"
        knacki:text="@string/generate_capitalize"/>
    <info.knacki.pass.ui.widget.Checkbox
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/generate_special"
        knacki:text="@string/generate_special"/>
    <NumberPicker
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:id="@+id/length"/>
</android.support.v7.widget.LinearLayoutCompat>